Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network151.232.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
151.232.0.0
Broadcast address
151.233.255.255
First usable
151.232.0.1
Last usable
151.233.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 97E80000 · Integer 2548563968 to 2548695039
Reverse DNS zones
232.151.in-addr.arpa
233.151.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010111.11101000.00000000.00000000151.232.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10010111.11101000.00000000.00000000151.232.0.0
Broadcast10010111.11101001.11111111.11111111151.233.255.255
Split into smaller subnets/22

151.232.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1151.232.0.0/22151.232.0.1 to 151.232.3.254151.232.3.2551,022
2151.232.4.0/22151.232.4.1 to 151.232.7.254151.232.7.2551,022
3151.232.8.0/22151.232.8.1 to 151.232.11.254151.232.11.2551,022
4151.232.12.0/22151.232.12.1 to 151.232.15.254151.232.15.2551,022
5151.232.16.0/22151.232.16.1 to 151.232.19.254151.232.19.2551,022
6151.232.20.0/22151.232.20.1 to 151.232.23.254151.232.23.2551,022
7151.232.24.0/22151.232.24.1 to 151.232.27.254151.232.27.2551,022
8151.232.28.0/22151.232.28.1 to 151.232.31.254151.232.31.2551,022
9151.232.32.0/22151.232.32.1 to 151.232.35.254151.232.35.2551,022
10151.232.36.0/22151.232.36.1 to 151.232.39.254151.232.39.2551,022
11151.232.40.0/22151.232.40.1 to 151.232.43.254151.232.43.2551,022
12151.232.44.0/22151.232.44.1 to 151.232.47.254151.232.47.2551,022
13151.232.48.0/22151.232.48.1 to 151.232.51.254151.232.51.2551,022
14151.232.52.0/22151.232.52.1 to 151.232.55.254151.232.55.2551,022
15151.232.56.0/22151.232.56.1 to 151.232.59.254151.232.59.2551,022
16151.232.60.0/22151.232.60.1 to 151.232.63.254151.232.63.2551,022
17151.232.64.0/22151.232.64.1 to 151.232.67.254151.232.67.2551,022
18151.232.68.0/22151.232.68.1 to 151.232.71.254151.232.71.2551,022
19151.232.72.0/22151.232.72.1 to 151.232.75.254151.232.75.2551,022
20151.232.76.0/22151.232.76.1 to 151.232.79.254151.232.79.2551,022
21151.232.80.0/22151.232.80.1 to 151.232.83.254151.232.83.2551,022
22151.232.84.0/22151.232.84.1 to 151.232.87.254151.232.87.2551,022
23151.232.88.0/22151.232.88.1 to 151.232.91.254151.232.91.2551,022
24151.232.92.0/22151.232.92.1 to 151.232.95.254151.232.95.2551,022
25151.232.96.0/22151.232.96.1 to 151.232.99.254151.232.99.2551,022
26151.232.100.0/22151.232.100.1 to 151.232.103.254151.232.103.2551,022
27151.232.104.0/22151.232.104.1 to 151.232.107.254151.232.107.2551,022
28151.232.108.0/22151.232.108.1 to 151.232.111.254151.232.111.2551,022
29151.232.112.0/22151.232.112.1 to 151.232.115.254151.232.115.2551,022
30151.232.116.0/22151.232.116.1 to 151.232.119.254151.232.119.2551,022
31151.232.120.0/22151.232.120.1 to 151.232.123.254151.232.123.2551,022
32151.232.124.0/22151.232.124.1 to 151.232.127.254151.232.127.2551,022
33151.232.128.0/22151.232.128.1 to 151.232.131.254151.232.131.2551,022
34151.232.132.0/22151.232.132.1 to 151.232.135.254151.232.135.2551,022
35151.232.136.0/22151.232.136.1 to 151.232.139.254151.232.139.2551,022
36151.232.140.0/22151.232.140.1 to 151.232.143.254151.232.143.2551,022
37151.232.144.0/22151.232.144.1 to 151.232.147.254151.232.147.2551,022
38151.232.148.0/22151.232.148.1 to 151.232.151.254151.232.151.2551,022
39151.232.152.0/22151.232.152.1 to 151.232.155.254151.232.155.2551,022
40151.232.156.0/22151.232.156.1 to 151.232.159.254151.232.159.2551,022
41151.232.160.0/22151.232.160.1 to 151.232.163.254151.232.163.2551,022
42151.232.164.0/22151.232.164.1 to 151.232.167.254151.232.167.2551,022
43151.232.168.0/22151.232.168.1 to 151.232.171.254151.232.171.2551,022
44151.232.172.0/22151.232.172.1 to 151.232.175.254151.232.175.2551,022
45151.232.176.0/22151.232.176.1 to 151.232.179.254151.232.179.2551,022
46151.232.180.0/22151.232.180.1 to 151.232.183.254151.232.183.2551,022
47151.232.184.0/22151.232.184.1 to 151.232.187.254151.232.187.2551,022
48151.232.188.0/22151.232.188.1 to 151.232.191.254151.232.191.2551,022
49151.232.192.0/22151.232.192.1 to 151.232.195.254151.232.195.2551,022
50151.232.196.0/22151.232.196.1 to 151.232.199.254151.232.199.2551,022
51151.232.200.0/22151.232.200.1 to 151.232.203.254151.232.203.2551,022
52151.232.204.0/22151.232.204.1 to 151.232.207.254151.232.207.2551,022
53151.232.208.0/22151.232.208.1 to 151.232.211.254151.232.211.2551,022
54151.232.212.0/22151.232.212.1 to 151.232.215.254151.232.215.2551,022
55151.232.216.0/22151.232.216.1 to 151.232.219.254151.232.219.2551,022
56151.232.220.0/22151.232.220.1 to 151.232.223.254151.232.223.2551,022
57151.232.224.0/22151.232.224.1 to 151.232.227.254151.232.227.2551,022
58151.232.228.0/22151.232.228.1 to 151.232.231.254151.232.231.2551,022
59151.232.232.0/22151.232.232.1 to 151.232.235.254151.232.235.2551,022
60151.232.236.0/22151.232.236.1 to 151.232.239.254151.232.239.2551,022
61151.232.240.0/22151.232.240.1 to 151.232.243.254151.232.243.2551,022
62151.232.244.0/22151.232.244.1 to 151.232.247.254151.232.247.2551,022
63151.232.248.0/22151.232.248.1 to 151.232.251.254151.232.251.2551,022
64151.232.252.0/22151.232.252.1 to 151.232.255.254151.232.255.2551,022
65151.233.0.0/22151.233.0.1 to 151.233.3.254151.233.3.2551,022
66151.233.4.0/22151.233.4.1 to 151.233.7.254151.233.7.2551,022
67151.233.8.0/22151.233.8.1 to 151.233.11.254151.233.11.2551,022
68151.233.12.0/22151.233.12.1 to 151.233.15.254151.233.15.2551,022
69151.233.16.0/22151.233.16.1 to 151.233.19.254151.233.19.2551,022
70151.233.20.0/22151.233.20.1 to 151.233.23.254151.233.23.2551,022
71151.233.24.0/22151.233.24.1 to 151.233.27.254151.233.27.2551,022
72151.233.28.0/22151.233.28.1 to 151.233.31.254151.233.31.2551,022
73151.233.32.0/22151.233.32.1 to 151.233.35.254151.233.35.2551,022
74151.233.36.0/22151.233.36.1 to 151.233.39.254151.233.39.2551,022
75151.233.40.0/22151.233.40.1 to 151.233.43.254151.233.43.2551,022
76151.233.44.0/22151.233.44.1 to 151.233.47.254151.233.47.2551,022
77151.233.48.0/22151.233.48.1 to 151.233.51.254151.233.51.2551,022
78151.233.52.0/22151.233.52.1 to 151.233.55.254151.233.55.2551,022
79151.233.56.0/22151.233.56.1 to 151.233.59.254151.233.59.2551,022
80151.233.60.0/22151.233.60.1 to 151.233.63.254151.233.63.2551,022
81151.233.64.0/22151.233.64.1 to 151.233.67.254151.233.67.2551,022
82151.233.68.0/22151.233.68.1 to 151.233.71.254151.233.71.2551,022
83151.233.72.0/22151.233.72.1 to 151.233.75.254151.233.75.2551,022
84151.233.76.0/22151.233.76.1 to 151.233.79.254151.233.79.2551,022
85151.233.80.0/22151.233.80.1 to 151.233.83.254151.233.83.2551,022
86151.233.84.0/22151.233.84.1 to 151.233.87.254151.233.87.2551,022
87151.233.88.0/22151.233.88.1 to 151.233.91.254151.233.91.2551,022
88151.233.92.0/22151.233.92.1 to 151.233.95.254151.233.95.2551,022
89151.233.96.0/22151.233.96.1 to 151.233.99.254151.233.99.2551,022
90151.233.100.0/22151.233.100.1 to 151.233.103.254151.233.103.2551,022
91151.233.104.0/22151.233.104.1 to 151.233.107.254151.233.107.2551,022
92151.233.108.0/22151.233.108.1 to 151.233.111.254151.233.111.2551,022
93151.233.112.0/22151.233.112.1 to 151.233.115.254151.233.115.2551,022
94151.233.116.0/22151.233.116.1 to 151.233.119.254151.233.119.2551,022
95151.233.120.0/22151.233.120.1 to 151.233.123.254151.233.123.2551,022
96151.233.124.0/22151.233.124.1 to 151.233.127.254151.233.127.2551,022
97151.233.128.0/22151.233.128.1 to 151.233.131.254151.233.131.2551,022
98151.233.132.0/22151.233.132.1 to 151.233.135.254151.233.135.2551,022
99151.233.136.0/22151.233.136.1 to 151.233.139.254151.233.139.2551,022
100151.233.140.0/22151.233.140.1 to 151.233.143.254151.233.143.2551,022
101151.233.144.0/22151.233.144.1 to 151.233.147.254151.233.147.2551,022
102151.233.148.0/22151.233.148.1 to 151.233.151.254151.233.151.2551,022
103151.233.152.0/22151.233.152.1 to 151.233.155.254151.233.155.2551,022
104151.233.156.0/22151.233.156.1 to 151.233.159.254151.233.159.2551,022
105151.233.160.0/22151.233.160.1 to 151.233.163.254151.233.163.2551,022
106151.233.164.0/22151.233.164.1 to 151.233.167.254151.233.167.2551,022
107151.233.168.0/22151.233.168.1 to 151.233.171.254151.233.171.2551,022
108151.233.172.0/22151.233.172.1 to 151.233.175.254151.233.175.2551,022
109151.233.176.0/22151.233.176.1 to 151.233.179.254151.233.179.2551,022
110151.233.180.0/22151.233.180.1 to 151.233.183.254151.233.183.2551,022
111151.233.184.0/22151.233.184.1 to 151.233.187.254151.233.187.2551,022
112151.233.188.0/22151.233.188.1 to 151.233.191.254151.233.191.2551,022
113151.233.192.0/22151.233.192.1 to 151.233.195.254151.233.195.2551,022
114151.233.196.0/22151.233.196.1 to 151.233.199.254151.233.199.2551,022
115151.233.200.0/22151.233.200.1 to 151.233.203.254151.233.203.2551,022
116151.233.204.0/22151.233.204.1 to 151.233.207.254151.233.207.2551,022
117151.233.208.0/22151.233.208.1 to 151.233.211.254151.233.211.2551,022
118151.233.212.0/22151.233.212.1 to 151.233.215.254151.233.215.2551,022
119151.233.216.0/22151.233.216.1 to 151.233.219.254151.233.219.2551,022
120151.233.220.0/22151.233.220.1 to 151.233.223.254151.233.223.2551,022
121151.233.224.0/22151.233.224.1 to 151.233.227.254151.233.227.2551,022
122151.233.228.0/22151.233.228.1 to 151.233.231.254151.233.231.2551,022
123151.233.232.0/22151.233.232.1 to 151.233.235.254151.233.235.2551,022
124151.233.236.0/22151.233.236.1 to 151.233.239.254151.233.239.2551,022
125151.233.240.0/22151.233.240.1 to 151.233.243.254151.233.243.2551,022
126151.233.244.0/22151.233.244.1 to 151.233.247.254151.233.247.2551,022
127151.233.248.0/22151.233.248.1 to 151.233.251.254151.233.251.2551,022
128151.233.252.0/22151.233.252.1 to 151.233.255.254151.233.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses